import dayjs from "dayjs";
import { getLocale } from "./locales";
/**
 * @title: 格式化时间
 * @description:
 * @param {Moment} date 时间
 * @param {string} cnFormat 中文
 * @param {string} enFormat 英文
 * @return {*}
 * @Author: Wzw
 * @Date: 2022-07-28 11:57
 */
export var formatDate = function formatDate(date, cnFormat, enFormat) {
  var _cnFormat = cnFormat || 'LL';
  var _enFormat = enFormat || _cnFormat;
  // 澳大利亚
  // ll 20 Jul 2022
  // LL 20 July 2022
  // D MMM   20 July
  // D MMMM  20 July

  // 中国
  // ll 2022年07月20日
  // LL 2022年07月20日
  // MMM Do   7月20日
  // MMMM Do   07月20日
  // 时分秒
  // hh:mm:ss 05:01:41

  // 一天内的时间段: Sunday, 6 July  ⋅  10:00 – 11:30
  var format = _cnFormat;
  var dayjs_local = 'zh-cn';
  var umi_locale = getLocale();
  // 中文环境切换moment语言为中文, 其他环境默认澳大利亚
  if (umi_locale !== 'zh-CN' && umi_locale !== 'zh-HK') {
    dayjs_local = 'en-au';
    format = _enFormat;
  }

  // 繁体
  if (umi_locale === 'zh-TW') {
    dayjs_local = 'zh-tw';
    format = _cnFormat;
  }

  // 设置moment语言
  dayjs.locale(dayjs_local);
  return dayjs(date).format(format);
};